Core - Bug # 47734

Status: Resolved Priority: Must have
Author: Andreas Becker (Andi) Category: Install Tool
Created: 2013-04-30 Assigned To:

Updated: 2013-08-08 Due date:

TYPO3 Version: 6.1

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: Workspaces and Versioning get installed by default - Remove this option.

Description

you get forced to install workspaces and versioning - no way around beside skipping the wizard.

There should be a checkbox to install those two extensions like you have it for the System Extensions.

Actually this Part should appear in the same list like the system Extensions logically and people can choose it in one step.

Related issues:

related to Core - Bug # 49256: Update Wizard "Install System Extensions" show... Resolved

Associated revisions

Revision 8aeb95df - 2013-08-08 22:23 - Wouter Wolters

[BUGFIX] Workspaces and Version update wizard isn't skippable

When you skip the update wizard for workspaces and version
you always get the wizard back. The update wizard is not marked

as done when you don't want to install the extensions.

To fix this we need to copy some functions from AbstractUpdate
because the update wizard for workspaces and version extend the

SystemExtension update wizard.

Change-Id: 14f7{3e8606cdf41db5737b5f4dd22d8faf4ad4ach
Resolves: #47734

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/22680

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2013-07-30 01:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
https://review.typo3.org/22680

It is available at https://review.typo3.org/22680

#2 - 2013-08-08 22:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22680

#3 - 2013-08-08 22:01 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22680

#4 - 2013-08-08 22:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8aeb95dfefbb4fed521840cbe6356596b5a7a38b.
